PDA - General Help

PentagonDocs Assistant is an award winning document management for designers working in Architecture, Engineering and Construction. At its core is the extremely powerful and versatile M-Files document management system over which we have layered tools automate and streamline file naming, transmittals, extranet upload and many of the otherwise manual tasks that user face when working with Revit, AutoCAD and other such design tools.

Pentagon Help resources:

Pentagon Product Help

PentagonDocs Assistant (you are here)

PentagonMail Assistant

Help for specific Applications: (these will open in a new browser window)

Core Script Library

DWG Processor

Extranet Uploader

Notifications Processor

PDF Processor

Transmittals

Copyright © Pentagon Solutions. All Rights Reserved.


Video Tutorials

Copyright © Pentagon Solutions. All Rights Reserved.


Prerequisites

Installation ››

Before installing PentagonDocs Assistant on your M-Files Server, please ensure the prerequisites listed below have been met.

  • M-Files Server 2015.3 (11.3.4330.196) or above
  • Microsoft .NET Framework 4.7.2 or above
  • Visual C++ Redistributable for Visual Studio 2015 (x64)

Before installing PentagonDocs Assistant on your Client PC, please ensure the prerequisites listed below have been met.

  • M-Files Client 2015.3 (11.3.4330.196) or above
  • Microsoft .NET Framework 4.7.2 or above
  • Visual C++ Redistributable for Visual Studio 2015 (x64)
  • Visual C++ Redistributable for Visual Studio 2012 (x86)
  • Visual C++ Redistributable for Visual Studio 2012 (x64)
  • SQLSysClrTypes.msi
  • ReportViewer.msi


Server Installation

Installation ››
  1. Install latest .NET Framework Offline Installer
  2. Install Prerequisites
    • vcredist2015_x64.exe
    • vcredist_x86_2012.exe
    • vcredist_x64_2012.exe
    • SQLSysClrTypes.msi
    • ReportViewer.msi
  3. Run DCOMCNFG to add LOCAL SERVICE account (Detailed here )
  4. Reboot server
  5. Install M-Files (Server, Server Tools and Client)
  6. Create login account for current windows user
  7. Restore PentagonDocs Assistant vault template
  8. Enable PentagonDocs Assistant vault applications
  9. M-Files licensing
  10. PentagonDocs Assistant licensing ( applications and CAD/BIM )
  11. Install DWG Processor
  12. Create C:\Autodesk resource folders
  13. Install Notifications Processor
  14. Configure M-Files Vault backup


Client Installation

Installation ››
  1. Install AutoCAD and Revit
  2. Install latest .NET Framework Offline Installer
  3. Install Prerequisites
    1. vcredist2015_x64.exe
    2. vcredist_x86_2012.exe
    3. vcredist_x64_2012.exe
    4. SQLSysClrTypes.msi
    5. ReportViewer.msi
  4. Install M-Files Client (plus Server Tools for admin users)
  5. Install PentagonDocs Assistant CAD/BIM client
  6. Create M-Files connections
  7. Install DWG Preview Handler
  8. Install Pentagon Mail Client


Automated Client Installation

Installation ››

PentagonDocs Assistant modules can be deployed silently without user interaction via the MSIEXEC command. Adding command-line options to the MSIEXEC command provides control over what is installed. This is done by adding feature names using the ADDLOCAL parameter.

PentagonDocs Assistant CAD/BIM Client installation:

Installation Command:

Msiexec /i "PentagonDocs Assistant Client Install (x64).msi" ADDLOCAL=featureName

Where featureName is and of the following (you can specify multiple if you separate them with commas)

    • featureACADIntegration
    • featureRevitIntegration
    • featurePDFPrinterDriver
    • featureTransmittalDependencies
    • featureAdminUtility

All features should be installed on a typical install:

Msiexec /i "PentagonDocs Assistant Client Install (x64).msi" ADDLOCAL=featureACADIntegration,featureRevitIntegration,featurePDFPrinterDriver,featureTransmittalDependencies,featureAdminUtility /quiet

PentagonDocs Assistant DWG Viewer:

Installation Command:

Msiexec /i "PentagonDocs Assistant DWG PreviewHandler.msi" ADDLOCAL=featureName

Where featureName is use the following:

    • featureDWGiewer(This is a known spelling typo in PentagonDocs Assistant DWG PreviewHandler 4_1_3_0 that will be fixed in subsequent versions)

Typical Install:

Msiexec /i "PentagonDocs Assistant DWG PreviewHandler.msi" ADDLOCAL=featureDWGiewer /quiet

M-Files Client installation:

Please refer to the M-Files Advanced User's Guide .


Licensing

Installation ››

PentagonDocs Assistant licenses are required for:

PentagonDocs Assistant CAD/BIM licenses:

Based on Vault Unique ID

    • Autodesk Revit
    • AutoCAD

CAD/BIM licenses are applied and assigned to users in the PentagonDocs Assistant Administration Utility

M-Files Server applications:

Based on Vault Unique ID and M-Files Serial Number

    • Core Script Library
    • DWG Processor
    • Notifications Processor
    • Extranet Server

Application licenses are applied in M-Files Admin within the Applications dialogue.

M-Files Licensing:

Please see M-Files User Guide for information


Downloads and Change Log

Installation ››


PentagonDocs Assistant User Guide

Welcome to the PentagonDocs Assistant User Guide.

This guide provides step-by-step instructions and detailed explanations for using the core features of the platform. Whether you're working with AutoCAD, Revit, or Microsoft applications, this guide will help you navigate the tools available within PentagonDocs Assistant

Use this guide to get the most out of your document management experience, streamline your workflows, and reduce manual effort in your day-to-day tasks.


About PentagonDocs Assistant

PentagonDocs Assistant User Guide ›› Introduction ››

PentagonDocs Assistant has been developed as a solution to address modern challenges of managing ‘work-in-progress’ design and construction documentation. It is built on top of the popular document management system M-Files, which can accommodate any type of file, but contains specific tools and plug-ins that support Microsoft Office (Word, Excel, PowerPoint, Outlook). PentagonDocs Assistant further enhances the product with tools to support AutoCAD, AutoCAD Architecture and Revit, as well as additional functionality for generating Transmittals and uploading to Extranets.

Many organisations are using the adoption of Building Information Modelling (BIM) as an opportunity to review their standards and improve their internal processes. This often includes the introduction of the ISO 19650. PentagonDocs Assistant has been configured to facilitate the automation of ISO 19650 naming conventions, and workflows, as standard functionality.

Although many design companies are considering adopting ISO 19650, many follow other varying naming conventions at the same time and may also need to conform to their customer’s specific drawing standards too. PentagonDocs Assistant can be configured by you to accommodate any naming standard you may encounter.

Also, while many companies are looking to adopt the ISO 19650 workflow for document lifecycle management (review and approval), many companies will have their own in-house quality standards, so the system is able to be configured with workflows to suit your own quality standards. NOTE: Configuration of document numbering is covered in the system administrator training, which is part of the initial implementation.


Why Use Data Management?

PentagonDocs Assistant User Guide ›› Introduction ››

Each organisation will have its own reasons for adopting PentagonDocs Assistant but most companies are facing the same problems so the same issues arise again and again. These include the following:


About ISO 19650

PentagonDocs Assistant User Guide ›› Introduction ››

ISO 19650 provides a ‘best-practice’ method for the development, organization and management of production information for the construction industry, using a disciplined process for collaboration and a specified naming policy. PentagonDocs Assistant also supports the ISO 19650 UK Annex.

It provides the template for common naming conventions and well-defined methods of collaborative working for use in architecture, engineering and construction. It also facilitates efficient data use in facilities management.

The principles for information sharing and common modelling outlined in this standard underpin the BIM Level 2 standards and are equally applicable to building and civil projects internationally.

Whilst PentagonDocs Assistant is not limited to ISO 19650, this document makes frequent reference to the standard because for many it is the most important and most difficult one to address.

ISO 19650 CDE diagram:

ISO 19650 naming applied in PentagonDocs Assistant:

Whilst PentagonDocs Assistant is not limited to ISO 19650, this document makes frequent reference to the standard because for many it is the most important and most difficult one to address.


Starting to use PentagonDocs Assistant

PentagonDocs Assistant User Guide ››

This document is intended to be used in conjunction with the M-Files user guide and only covers those parts of the M-Files capabilities that are required to use PentagonDocs Assistant. This document also covers the configuration for the V5 vault version of PentagonDocs Assistant, as such older versions (V4) may not have some functionality covered in this document. Please contact Pentagon Solutions to upgrade your vault to V5 should you require any of this functionality.

The M-Files user guide can be found here: https://www.m-files.com/


What is a Vault?

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

PentagonDocs Assistant is built upon the M-Files platform which stores your documents in what is known as a vault. Whilst the details can vary, you can think of the vault as a database that contains both the documents and the information about them. This will include the usual details of filename, size, modified date that you will be used to, but can additionally include details that are particular to the type (or ‘class’) of document. So a technical class of document may have properties that include the: client details, purpose, type, approval status, department, etc., whereas a recruitment class of document may have: agency details (if applicable), candidate, role, salary range, department, etc. The permissions and access to these will also be managed through the system so that staff only see what is appropriate to their role.

You will typically have access to just one vault on one server but it is possible to have multiple vaults on each server and multiple servers too.

Once the server is configured for use, users must log into a vault to access files relating to their projects. Typically, a single vault will be configured as the repository; although it’s possible to have multiple vaults configured.


What is an Object?

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Everything added to the vault is an object. So each file that you add is an object, but so is a Project, a Contact, Company or a Task. Clearly a task is very different to a file and will have different properties too, so objects are defined by ‘classes’ and these can include details on what information is stored about them, who can approve them, what the approval process entails, etc. Don’t worry is this is not clear as you will pick up the concepts through using the software.


What is Metadata?

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Each object added to the vault will have metadata assigned to it. This takes the form of the properties found on the create object wizards and the metadata pane for existing objects. PentagonDocs Assistant organises content based on what something is (and what it relates to) instead of where it is stored. Views can be created using metadata to filter the information seen in the view, and to also group objects (virtual folders) making PentagonDocs Assistant very flexible for users accessing and finding information. Each object will have certain required metadata assigned to it.


Logging into a Vault

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Opening Windows File Explorer with M-Files and PentagonDocs Assistant Client installed will display a link to M-Files (M:), although the actual drive letter may have been changed by your system administrator. Selecting the drive will display the vaults that have been configured:

To access a vault, simply double-click on the name of the vault.

The home page of the PentagonDocs Assistant vault will then be displayed within Windows File Explorer, as shown in the image below:


The 5 Tabs

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

As you start using PentagonDocs Assistant you will as default start in the All view and see the additional tabs of: Recent, Assigned, Checked out, and Pinned, to the right of the All tab.

The All tab provides a selection of ‘views’. Views are essentials structured saved searches and will usually have been pre-built for you. Think of them as being similar to the Windows Explorer folders you may have been used to.

Recent provides a list objects that you have recently viewed, edited or created. You are likely to use this a lot as from one day to the next you will tend to go back to what you touched recently.

Checked out shows any files that you are currently working on. When you open a file, it is checked out of the vault and copied to your local PC (you must check it back in to save to the server). With the odd exception, other users will not normally be able to work on the file whilst it is checked out to you. So, when you have made your changes, you should check the file back into the vault.

Assigned will show any tasks that have be assigned to you. For example, you may have been asked to review a document and either approve or reject it.

Pinned will display the objects and\or views that you have selected to be pinned for easy selection.

Note: Views are how you access documentation stored within PentagonDocs Assistant. They use the metadata assigned to documents to present virtual folders of your information in any way you choose. Initial views are pre-configured in PentagonDocs Assistant and your administrator may have added more. You can also create your own.

As well as using the All tab, you can get back to your starting view by clicking on the Pentagon logo.


Task Panel

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

On the left side is the task panel (open by clicking the handle indicated below), showing quick links for the creation of the various PentagonDocs Assistant objects such as Assignments, Company, Contact, Document, Project, and View. It also provides quick ‘Go To’ shortcuts for commonly used views. The options shown on the task panel will change depending on the object you have selected, so if you have selected a PDF, it will offer the Annotation options whereas if you select a contact object, it won’t.


Metadata Pane

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

When an object is selected in the central section the right-hand panel will by default display the metadata tab to show information about the object:


Preview Pane

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

You will also be able to preview the document content using the preview tab (you can have the metadata pane open or closed at the same time, simply click the metadata pane tab to open\close it):


Concept SFD vs. MFD

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

You will have encountered situations where a single document can be represented in a number of ways, for example a drawing sheet from Revit may need to be output as a PDF, DWF and DWG renditions for different reasons, yet they are all representations of the same sheet. Rather than treat them as separate entities, each with their own data, in PentagonDocs Assistant you can have a single Multi-file Document (MFD) which both keeps all the renditions together and has one set of data about them. You only then need to look for the one object and can be sure that the renditions are all of the same document. Conversely a Single-file Document (SFD) is only a single file object.

Multi-File Document - MFD

A multi-file document such as an ISO 19650 DR – 2D Drawing, displays as [image] and contains the native file and any renditions (PDF) below it as shown here. NOTE: you need to expand the MFD to see the native file and renditions and select one to preview the document. The MFD and the files within all share the same metadata.

Single-File Document - SFD

A single-file document is a type such as an ISO 19650 DP – Digital Photo which is a single image. SFD files can be previewed when selected. TIP: if you have taken photos using your phone, the ‘Image’ tab will display: the image, data about the camera, data about the image, and a map showing where you were at the time.


Pinning Shortcuts and Favourites

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

PentagonDocs Assistant has a Pinned tab where you can create shortcuts to frequently used documents or objects.

Shortcuts can be created on the Pinned tab by right-clicking on any object (including views) and selecting Pin.

When objects have been added to the Pinned tab, you can create Groups to organise your pinned objects:


Check In / Check Out

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

PentagonDocs Assistant provides a secure document environment with version control which is made possible by checking documents in and out of the vault as needed. So, to edit a document, you need to check it out first. When a document is checked-out, a working copy is created on your local computer for you to edit and is locked-out to your user account and PC, which means the document is only editable by your user on that specific PC.

Until a new document is checked in for the first time, it cannot be seen by any other users.

Whilst you have a document checked out, it is not stored on the server but in the local cache. It is recommended to check a document in at least once a day to ensure work is captured and backed up on the server.

You can optionally check in with comments. Comments are shown on the metadata page by selecting the speech bubble icon indicated below. Comments can be added any time, not just at check in.

Documents can also be checked in using the application integrations such as in Microsoft Office:

PentagonDocs Assistant ribbon in AutoCAD:

If you close an application with a document currently checked out, M-Files prompts you to check in the file. You can set the default behaviour of this dialog within your M-Files Desktop Settings.

Documents checked out to you are listed on the ‘Checked out’ tab on the home screen of PentagonDocs Assistant.


Company and Contact Creation

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Before any documents can be created, supporting objects may need to be available. For example, the Company object is required due to the use of the company originator code in ISO 19650 and the Project object for the same reason.

You can create a new Company: from the task panel on the left, by right-clicking in a view, or by clicking the Create button at the top right.

Please be aware, if you create a new object within a virtual folder view, it will inherit view properties. This can be beneficial when want to create similar objects with those inherited properties. However, you should check that properties are not added inadvertently.

When you select New > Company, a wizard dialog will be displayed. The fields marked with an asterisk are mandatory whilst the rest are optional.

The default mandatory fields for a Company Object are:

  • Company Name (name of the company)
  • Company Type (whether the company is internal or external)
  • Originator Code (the company originator code as required in the BS 1192/ISO 19650 standards)

Some properties, for example Company Type will display a list of values, from which a choice is made (Internal should be selected for your own company locations, External should be selected for all external contractors\clients etc.), others are considered “free text” and accept typed information. Free text properties may be subject to validation such as the number of characters and checks for duplicate entries where appropriate. You will be notified if an entry fails validation.

ISO 19650 file naming

Description | Project | Originator | Functional | Spatial | Form | Discipline | Sequence | extension
Example | PRJ01 | PEN | XX | ZZ | CO | A | 0001 | docx

Contacts can be created in a similar manner to companies; a contact has different metadata assigned to it as shown below.

The default mandatory fields for a Contact are:

  • Owner (a contact is a sub object of a Company; select the company this contact is a member of)
  • First Name (first name of the contact)
  • Last Name (last name of the contact)
  • Contact Name (this is auto generated using the first and last name)
  • Initials (initials of the contact)

If a contact has a user account in PentagonDocs Assistant, this should be linked to the contact with the M-Files User metadata field.

When a contact is created for an internal company, additional metadata is made available as the contact is recognised as staff, such as ‘Job Experience, Key skills etc.’:


Project Creation

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Projects can also be created from the task area, the create menu or from the right-click menu. The mandatory metadata for a Project is:

  • Client (the client company for the project)
  • Project Name (text name for the project)
  • Project Code (the ISO 19650 code for the project)
  • Project Definition (ISO 19650 default or ISO19650 custom)
  • Project Status (Not Started, In Progress etc.)
  • Project Type (Commercial, Agricultural etc.)
  • Project Summary (text description of the project)

ISO 19650 file naming

Description | Project | Originator | Functional | Spatial | Form | Discipline | Sequence | extension
Example | PRJ01 | PEN | XX | ZZ | CO | A | 0001 | docx

IMPORTANT

When creating a Project, please ensure that the ‘Check in immediately’ check box is selected. This ensures correct operation of the system when creating documents.

A project has many metadata properties assigned to it and sub-objects; these are covered in the following sections.


Project Rules

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Project Creation ››

In order to provide flexibility to how a Project will function within PentagonDocs Assistant, there are a number of rules that can be set. These are usually set as a default to meet the majority of use cases but can be changed on a Project once created or during the creation process.

Issued Filename – The default filename format to be used when issuing a document as Shared/Published. This can also be overwritten on a document when it is issued.

Project Rule Set – Set by the Project Definition, this specifies which rules are applied during the CDE process.

Project Stage Definition – PDA caters for multiple Project Stage definitions such as RIBA.

Project Stage – Select the specific Project Stage provided by the previously selected Project Stage Definition.

Use Project Stage in Published Codes – When a document is issued as Published, the Project Stage code can be included in the issued code, e.g. A4 for Approved Stage 4.

Originator Code – Override – Typically the Originator Code used in the document name is taken from the ‘Company’ object selected during the document creation process. However, a BIM project may specify a different code to use for that particular Project (due to client BEP for example). Enable this to be able to enter an Originator code to use for this specific Project.

Originator Code – Project – Enter the Originator Code to use as an override for this Project. (Only shown if ‘Originator Code – Override’ is checked.)

Revision History Enabled – PDA can create revision history properties to store up to the last 10 revisions from the document version history. These properties can then be used to synchronise to a title block for example.

Revision History Rows – The number of rows that are to be used for this project. There will be a maximum value configured for your vault, which as default is 10.

Xref Behaviour – This allows for the how Xrefs will be managed. ‘Latest’ means that the latest version of an Xref will always be used in an AutoCAD drawing. ‘Specific’ allows the Xrefs to be set as a specific version allowing for full control over your drawings. If an Xref is updated, the PDA add-in in AutoCAD will notify you and you can choose whether or not to load the latest version. This value is used as a default on all drawings created for the project but can also be over-ridden on the drawing itself if required.

Enable Select Issue State – The ‘Select Issue’ workflow state can be made manual or automatic in order to cater for different workflows. Typically, it is enabled when a Document Controller will pick up documents and run them through the issuing process. It is typically disabled when the user working on the documents at the WIP state will also be issuing them. When disabled this makes properties such as the Suitability Status mandatory before Approval. Then when the document is sent for issue it has all the required properties and will automatically create the Shared/Published document object when sent to the ‘Prepare for Issue’ state.

Enforce ISO Rules – Basic rules that will only allow a Published document to be issued if an S4 version already exists. An S4 version can only be issued if an S3 version already exists.

Uniclass Rule – Set whether or not Uniclass properties are required on a document.


Project Functional Breakdown, Spatial Breakdown, Form and Discipline Creation

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Project Creation ››

Projects have sub-objects for the Functional Breakdown, Spatial Breakdown, Form and Disciplines which form part of the ISO 19650 file name. These can be created from the expanded Project object tree or from the subobjects link at the bottom of the Project objects metadata pane:

When a new project is created, the default Functional Breakdown, Spatial Breakdown, Form and Disciplines are created automatically. The objects created depend on the Project Definition selected on the new Project metadata card. After the Project is created, the sub objects can be edited to create/delete/rename etc. as required.

Functional Breakdown Sub-objects:

The Functional Breakdown sub-object may include the standard values of XX and ZZ from ISO 19650 and you can add your own as per the BEP requirements for the Project.

ISO 19650 file naming

Description | Project | Originator | Functional | Spatial | Form | Discipline | Sequence | extension
Example | PRJ01 | PEN | XX | XX | CO | A | 0001 | docx

Spatial Breakdown Sub-objects:

Spatial Breakdowns may include the standard ISO 19650 values, and you can also add others as required.

ISO 19650 file naming

Description | Project | Originator | Functional | Spatial | Form | Discipline | Sequence | extension
Example | ABC | EXC | XX | XX | CO | A | 0001 | docx

Form Sub-objects:

Forms may include the standard ISO 19650 values, and you can also add your own as required.

ISO 19650 file naming

Description | Project | Originator | Volume/Zone | Level | Type | Role | Sequence | extension
Example | PRJ01 | PEN | XX | XX | T | A | 0001 | docx

Discipline Sub-objects:

Disciplines may include the standard ISO 19650 values, and you can also add your own as required.

ISO 19650 file naming

Description | Project | Originator | Volume/Zone | Level | Type | Role | Sequence | extension
Example | PRJ01 | PEN | XX | XX | T | A | 0001 | docx


Project Contacts

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Project Creation ››

Projects have a Project Contacts section on the metadata-card which allows for internal contacts to be assigned to the project. The drop down only shows contacts from internal companies. Multiple contacts may be added.


Document Creation Using PentagonDocs Assistant

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

There are many ways to create documents. These include creating documents from a project template, creating from central templates or dragging and dropping a file into the system which you created separately.


Drag & Drop

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Document Creation Using PentagonDocs Assistant ››

Whilst it is recommended that you create documents from templates within PentagonDocs Assistant, however there may be occasions when you need to bring in a file that was created outside of the system. To do this, simply drag and drop the file onto the PentagonDocs Assistant window.

NOTE: pay attention to where you drop the file. If you drop it onto a view, it will inherit the properties of the view. If you do not require this to happen, the safest way is to hit the ‘All’ tab and drag/drop onto the blank section below ‘Other Views’. You will then be prompted to enter all the metadata.


Creating from a project specific template

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Document Creation Using PentagonDocs Assistant ››

Your system may not have been configured to provide this option but if it has, it can be a good way to ensure that you are using a template that has been approved for use on the project.

Start by double-clicking the view named New Document from Templates.

This will display a list of projects that have templates configured specifically for them. Double-click your project to then see a list of classes, select the required class and then the templates will be listed, then simply double-click the template you wish to use. Depending on how the template has been configured, many of the properties may be pre-assigned which can save you time and prevent errors.


Creating from a template

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Document Creation Using PentagonDocs Assistant ››

For all other needs, use the Create button to create a new document. This will display a dialog; before the dialog populates with metadata, a ‘class’ must be selected from a list – this is displayed by selecting the drop-down button as indicated in the image below. Document classes are grouped, expand the 02 - BIM Standard tree by clicking the small triangle to the left of the text and the classes available will be listed (these are all documents that will follow the standard ISO 19650 file naming convention). Please note that your vault configuration may have different names for the Class Groupings.

‘Classes’ control the type of document to be created, which in turn offer any pre-configured templates available in the system, as shown below example for the ‘Drawing’ class:

Once the desired template is selected, clicking ‘Next’ will display the metadata required to complete the creation of the document object.

As is common practice, several of the properties listed are flagged as mandatory (indicated by the * next to the property name). Some properties will require selection from a pre-defined list, and some will accept values typed in the value field. In the example, Title 1 is not mandatory.

Notice that the property “Document Number” displays “automatic” for its current value - The system is configured to use certain property values, entered during creation, to generate the value. In this case, it is to comply with the naming convention required by ISO 19650.

By default, the “Open for Editing” option at the bottom-left of the dialog is ticked. This will immediately open the new document in the associated application (Windows Default Apps). Depending upon template configuration, values entered in the dialog will populate the document automatically.


Renaming ISO19650 Documents

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Once an ISO 19650 document has been created, you may be required to rename the document. Following the process below will allow you to change the properties that are used to generate the document number, and then once changed to the required values, save the changes and the document number will be re-generated using the new values. Please note that the sequence number will also be re-generated based on the rules for the document class to ensure there is no duplication of the document number.

Select the required document(s) that you wish to rename, then scroll to the bottom of the metadata pane until you see the ‘Add property’ selection, in this selection add the ‘Rename Document’ property:

Once this property has been added, there are two options that can be selected for the property, first of all select the ’01 - Edit Document Number Properties’ option:

Once you have selected this value, another property will now be shown called ‘Update Link to Issued Documents’:

If this option is enabled, any previously issued versions of the selected document will be linked to the newly renamed document. This means that when you next issue this document, it will update the previously issued document rather than creating a new one. This can be important if you wish to keep the C01, C02 etc. revision order. If the document has never been issued, do not enable this option.

With the ’01 - Edit Document Number Properties’ option selected, you will also now find that the previously read-only properties used for the document number are now editable. Edit the these properties as required:

Once you have set the required values, update the ‘Rename Document’ property to the second option ’02 - Generate New Document Number’ and click ‘Save’ to save the changes:

When the changes are saved, an event handler will now process the document(s) essentially running the name document process again using the new values. The ‘Rename Document’ property is automatically removed, and the document is renamed (in this example the Discipline was changed from Architect to Mechanical Engineer):


External BIM Documents

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

You may receive documents from other parties working on the same BIM project, that you wish to add to the PentagonDocs Assistant vault for reference purposes.

These can be simply drag/dropped into the vault, and if they are named correctly to the ISO 19650 standard for the project, we can use those values to set the properties automatically. The process also correctly sets the background property ‘Base Document Number’ which allows for new revisions of the same document to be simply drag/dropped into the vault, and it will automatically update the existing document object in the vault with the new content and name of the imported document.

When you drag/drop external documents into PentagonDocs Assistant and you are working to ISO 19650 standard, select the ‘External BIM Document’ class in the dialog that appears (in the base vault this is in the 02 – BIM Standard section):

Ensure that the ISO19650 Format is set to ‘Yes’ and with the filename containing a correctly formatted ISO 19650 document name (which is also supported by the Project in the PentagonDocs Assistant vault, correct Project code etc.) you can simple click the ‘Create All’ button:

The import process will search the vault for Projects with the matching project code from the filename and automatically add the documents to that project. If there is more than one matching project, or none found, a message dialog will be displayed, and you will need to manually select the required Project.

The process will also set any other matching metadata for the Project, such as the Functional Breakdown, Spatial Breakdown, Form and Discipline properties. If present in the filename, any correctly formatted revision and suitability code will also be recognised and set on the imported document. The suitability code will determine whether the document is shown in the Shared or Published area of the vault.

The import process will also setup the unique ‘Base Document Number’ that identifies this document and will search for that in the vault to check if a previous revision of that document is already in the vault. If found it will simply add the new content as a new revision for the existing document. If an existing document is not found, it will be added as a new document.


Incoming Documents

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

To accommodate documents received from external parties, which may use different naming conventions which are not to the ISO 19650 standard, a separate document class ‘Incoming Documents’ is available:

This class does not have any automatic document naming, the existing filename is utilised. This class allows you to specify which part of the filename is the unique identifier for this document. As the document being imported is not in the ISO 19650 format, that property is set to ‘No’ when importing, this enables a property called ‘Match String’:

This property has two values; ‘Whole String’ which simply uses the whole filename as the unique ‘Base Document Number’ value for the imported document, and ‘Number of Characters’ which allows you to specifically state which characters are used to populate the ‘Base Document Number’. When ‘Number of Characters' is selected, two more properties are then displayed. ‘No of Characters’ allows you to specify the number of characters that matches the unique value in the filename, and also ‘Start Position’ which allows you to specify if the unique value is not at the start of the filename by giving the position it should start from to capture the required document number:

The ’Area of CDE’ metadata should also be set depending on whether the imported document should be in Shared or Published etc.


Creating Templates

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Templates are easily created within PentagonDocs Assistant. Simply drag/drop or save your template document into PentagonDocs Assistant, select the document class that you wish to apply your template, then when the metadata dialog appears scroll to the bottom of the metadata page and click the ‘Add property’ link: The property we need to add is called Is template. You can either select this from the drop-down list or simply start typing in the property name and the drop-down list will be automatically filtered. Select the Is template property and it will be added to the metadata card, check the checkbox next to the Is template property to make this document behave as a template:

When the Is template property is checked, the system no longer applies all the rules associated with new documents. For example, mandatory properties are no longer enforced, and usually automatically generated properties (like Document Number) can be manually set. You can also pre-assign metadata values that you would like to be automatically set when documents are created using this template:

Click Create and the template is saved into PentagonDocs Assistant ready for use and will appear in the template list when creating a document for the relevant document class.


Linking PentagonDocs Assistant metadata to a document template

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Creating Templates ››

It’s helpful to link metadata from PentagonDocs Assistant to fields used in a document template so that the data is automatically entered in the document. The following example shows how a template letter to Building Surveyors might auto-populate.

To add M-Files properties such as the recipient’s address to the Word template, use the Insert Property button on the M-Files ribbon menu:

This will present metadata properties from PentagonDocs Assistant. Simply select the required property and a field is created within the document which links to the PentagonDocs Assistant metadata:

(IMAGE)

In the example above, we have created fields linked to the PentagonDocs Assistant metadata for the Addressee contact (company and address details), and the project name/code metadata. When a new document is created using this template, it will synchronise the metadata from PentagonDocs Assistant to the Word document, automatically filling in the required information:

The above can also be carried out with Excel and PowerPoint.


AutoCAD Title Blocks

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Creating Templates ››

PentagonDocs Assistant links meta-data with AutoCAD title blocks. This process links the AutoCAD block attributes with PentagonDocs Assistant metadata. Details on how to configure this are provided in the PentagonDocs Assistant Administration Guide.


Revit Title Blocks

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Creating Templates ››

PentagonDocs Assistant also links with Revit sheet Title Blocks. This process links Revit parameters with PentagonDocs Assistant metadata. Details on how to configure this are provided in the PentagonDocs Assistant Administration Guide.


Views

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Views are a powerful feature of PentagonDocs Assistant and allow you to view the information in a structure specific to your requirements. The M-Files standard User Guide covers this in detail here: Using Views

Below is an example of a PentagonDocs Assistant View created to display Project ID, Discipline and Form to organise the documents. The view can be browsed as a familiar ‘folder structure’.

The documents are displayed with further metadata in columns that can be sorted. These metadata columns could have also been used in the view to group each State as further ‘folder levels’.

PentagonDocs Assistant is pre-configured with useful views, and your particular vault will also have been further configured with views specific to your company.


Image Tab

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ›› Views ››

When viewing a digital photograph jpg file, an additional ‘Image’ tab is shown. This tab is able to read EXIF information from the image file if it is present. This allows for additional information to be displayed, such as the location (if GPS information is embedded):

Views can also display single-file documents as thumbnails (as shown above, right-click in the view and select from the ‘Display Mode’ context menu) further enhancing the ease of use.


Searching

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

M-Files has quick and advanced search functions. The M-Files User Guide covers this in detail here: Searching

Related Documents Property

PentagonDocs Assistant also provides tools which help with quickly accessing information. For example, a property called ‘Related Documents’ has been added in V5 which allows you to quickly locate the WIP, Shared, Published and Archived versions of a particular document. Simply click on this link and it will open a new window only showing documents with the same ‘Base Document Number’ as the initial document. This is basically a search URL that opens in the desktop M-Files client only:

CDE Tab

PentagonDocs Assistant also has a dedicated tab for showing the same CDE related information as found in the ‘Related Documents’ search. Select the ‘CDE’ tab and the CDE related documents are listed, clicking on the link icon to the right of each related document will open a new session for that selected document:


PentagonMail Assistant

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

Pentagon Solutions also provide a mail management application called PentagonMail Assistant which includes integration with your PentagonDocs Assistant vault in M-Files. It offers an integrated tool that makes filing and finding of emails easy. Full documentation for PentagonMail Assistant can be found online at:

https://licensingportal.pentagonsolutions.com/Help


Save Email Attachments to M-Files

PentagonDocs Assistant User Guide ›› Starting to use PentagonDocs Assistant ››

The M-Files installation adds a ribbon in Microsoft Outlook to save attachments to M-Files. Note you can also use this tool to file to M-Files, but it is not as user friendly as PentagonMail Assistant.

With an email selected in Outlook, choose the M-Files ribbon and Save Attachments to M-Files. Select the desired vault from the list of available connections.

A new document metadata card is displayed. Select the appropriate class and populate the metadata. Press Create to add the attachment to the vault as a new document.


AutoCAD Integration

PentagonDocs Assistant User Guide ››

This AutoCAD Integration topic gives an overview of the use of PentagonDocs Assistant within AutoCAD.


Connect to Pentagon DOCS

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

Once installed, PentagonDocs Assistant adds a new tab to the ribbon interface.

Settings

When using PentagonDocs Assistant with AutoCAD for the first time you will need to select the vault you wish to work with. The ribbon will initially show Not Configured

To select a vault, click “Settings” and select from the list of available vaults.

Once connected to PentagonDocs Assistant, the current vault will be displayed on the ribbon.

NOTE: If a later version of AutoCAD or Revit is installed after installing the PentagonDocs Assistant Client, the Ribbon won't automatically appear. Installing the PentagonDocs Assistant Client will resolve this.

To install the PentagonDocs Assistant Client software, see Client Installation

About

Click ‘About’ to see details of the version and status of the add-in (‘Connected’ indicates that you are connected to the vault and have been assigned an AutoCAD add-in license via the Pentagon Assistant Admin Utility):


File Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

This section gives an overview of the three sections, New, Open and Save, within the File Panel.


New

PentagonDocs Assistant User Guide ›› AutoCAD Integration ›› File Panel ››

Initially, a dialog will present the DWG templates that have been configured for use within PentagonDocs Assistant.

You can search/filter the templates using the search area at the top of the dialog.

Once a template is selected, click ‘OK’ (alternatively you can just double-click on the required template). You will then be presented with the ‘Create New Drawing’ metadata card.

The new drawing metadata card is displayed. Fields with the asterisk are mandatory, and will be used to name the new file in accordance with ISO 19650. Notice that the ‘Document Number’ field reads ‘(automatic)’ as this will be automatically generated based on the metadata selections made.

Certain fields will be configured to show a list of possible values, drawn from objects held in PentagonDocs Assistant, for example ‘Project ID’ and ‘Company’. The drop-down list can be scrolled through to select an item, however the fastest way to select a value is to start typing the required value in the selection as this will immediately filter the list making selection quick and simple. It should also be noticed that in the interest of speed, when you have many objects in the vault a drop down list may only display the first 50 value, this only impacts the viewable objects, you can still type in the selection to find the required value.

Other fields accept text entered manually, for example ‘Description’ and ‘Title 1’.

Once completed, selecting ‘Create’ will create a new drawing. When the drawing is opened in AutoCAD the title block information will be populated automatically as configured in the PentagonDocs Assistant Administration Utility (mapping AutoCAD attributes to PentagonDocs Assistant properties).


Open

PentagonDocs Assistant User Guide ›› AutoCAD Integration ›› File Panel ››

Open is used to open DWGs from the vault as shown below. All the functionality of PentagonDocs Assistant is available so you can use views, the recently accessed/checked out to me views, and the search functionality to find the file you would like to open.

To perform a quick search, simply type the string in the search panel, at the top of the dialog. Press the magnifying glass icon indicated in the screenshot below or press return.

Additionally, the M-Files advanced search is also available by pressing the ‘Search Options' button indicated below:

The AutoCAD ‘Select File’ dialog also allows you to add shortcuts to locations on the left side of the dialog, this can be useful to quickly get back to the root level of a vault or a specific view. With the required location shown in the right of the dialog, right-click in the shortcut area on the left of the dialog and select ‘Add Current Folder’.


Save

PentagonDocs Assistant User Guide ›› AutoCAD Integration ›› File Panel ››

‘Save’ allows you to save the changes that you have made to the drawing that you have checked out of the PentagonDocs Assistant vault. You can also use this to save a new or existing AutoCAD drawing that is not yet saved into the vault, this will open the ‘Create New Drawing’ wizard allowing you to create the drawing in the PentagonDocs Assistant vault.


Vault Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

View in PentagonDocs Assistant

The ‘View in PentagonDocs Assistant’ is only available when a drawing has been opened from PentagonDocs Assistant. When clicked, the M-Files client window will open, with the current document displayed

This will show the drawing details and metadata, which can be edited. This will be reflected on the AutoCAD title block currently open, once synced from the PentagonDocs Assistant ribbon.

TIP: Using the Edit Properties tool is the quickest way to edit properties and the title block updates immediately.

Browse PentagonDocs Assistant

‘Browse PentagonDocs Assistant’ will open a new PentagonDocs Assistant explorer window, at the home page.


Document Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

These commands are available only when a drawing stored in PentagonDocs Assistant is open.

Check Out

PentagonDocs Assistant uses a Check-In/Check-Out function which ‘locks’ files to the person editing. Other users will not be able to edit a document that is being worked on by another user or see any changes made until the document is checked-in.

If you open a drawing from PentagonDocs Assistant which has not yet been checked out, it will be in a read-only state (AutoCAD gives a warning). Before making any changes to the drawing you must Check Out the drawing.

Click ‘Check Out’ to begin editing.

This will also ‘lock’ the file in PentagonDocs Assistant, preventing anyone else from making edits. During this Check Out process the drawing is re-opened from PentagonDocs Assistant so any changes made when the drawing was read only would be lost.

Any drawings that are checked out to you are listed in the ‘Checked Out to me’ panel.

Check In

When you have completed an edit task on a drawing you can check the drawing (or any other document) back in. This is not something that you have to do every time you close a drawing; it’s just when you have finished your task and wish to move the drawing along in workflow.

Click ‘Check-In’ and the drawing will now be checked back into PentagonDocs Assistant for another user to work on, or, to enable workflow options.

There are 3 Check In options provided in the button flyout.

    • Check In and Close

This option simply checks in the drawing you currently have open back into the vault and closes it in AutoCAD.

    • Check In Changes

This option updates the server with your latest changes but the drawing remains checked out and open in AutoCAD.

You could use this option is a colleague needs to reference you latest edits but you are still working on the drawing. This option also updates the server and ensures the latest drawing is backed up overnight.

    • Check In and Open as Readonly

This option allows you to check the drawing back in the vault, but to then also re-open the drawing as read-only in AutoCAD. This allows you to then use the ‘Workflow’ section of the ribbon to send the drawing on for approval.

Undo Check Out

If you have inadvertently checked out a drawing, you can use the ‘Undo Check Out’ button to undo this action. The current checked out version of the drawing is removed from the system and the drawing reverts to the previous checked in version.


Workflow Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

Workflow

When you have checked-in a drawing, the Workflow panel will become active and the current workflow state is indicated on the ribbon.

Clicking the workflow drop-down with present the currently available target workflow states.

Upon selecting a workflow state a dialogue will appear allowing you to enter comments which will be captured in PentagonDocs Assistant.

NOTE: Be aware that the target workflow state that you select may have mandatory metadata requirements that need to be met, if they are not, the workflow transition will not be allowed.

You can choose to re-open the drawing if required, otherwise the drawing will be closed automatically. Comments entered will be displayed in the comments area of PentagonDocs Assistant

Click the comment icon (as highlighted above) and the comment thread for the drawing will be shown. Users can also respond to comments in this area.


Properties Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

The properties panel provides tools to either edit the drawing metadata properties directly, or, synchronise them between AutoCAD and PentagonDocs Assistant.

Synchronise to PentagonDocs Assistant

If you have made any changes to the title block attributes during your edit session, you can use this button to force an update of these properties from the title block to the metadata properties held in PentagonDocs Assistant. Any attributes that have been configured to update PentagonDocs Assistant will be synchronised automatically.

NOTE: Attributes are configured by your admin as either: sync only from the drawing to PentagonDocs Assistant, sync only from PentagonDocs Assistant to the drawing, or sync bi-directionally. Typically, only Title1, Title2 and Title3 will be configured to update Pentagon DOCS as other properties are driven by the Project and workflows..

Synchronise from PentagonDocs Assistant

If whilst editing a drawing you change the drawing metadata in the PentagonDocs Assistant client, you can force an update of these properties to the title block from the updated metadata properties in PentagonDocs Assistant.

Click the ‘Synchronise from PentagonDocs Assistant’ button and attributes that have been configured to update the title block from PentagonDocs Assistant will be synchronised.

Edit Properties

The ‘Edit Properties’ button is arguably the easiest way to update a title block as changes are synced both to the drawing and into PentagonDocs Assistant when you click ‘Save’.


Tools Panel

PentagonDocs Assistant User Guide ›› AutoCAD Integration ››

Update References

When you use PentagonDocs Assistant to attach Xrefs from the vault, they will be linked to a specific version of that drawing. This is useful when issuing drawings, as PentagonDocs Assistant can warn you if an Xref has changed and allow you to either accept the change or continue to reference the earlier version.

When you open a drawing containing an Xref that has been updated, the Update References dialogue will appear.

To update the Xref attached to the latest version, click ‘Update Checked Items’ (with the required Xref checked). If you do not want to use the updated Xref, click ‘Close’.

You can also select the Xref and use the ‘View in PentagonDocs Assistant’ button to open an PentagonDocs Assistant session containing the Xref’d drawing. The ‘View in History’ button allows you to view the version history of the selected Xref.

If you clicked the ‘Close’ button earlier, but now want to update to the latest Xref, click the ‘Update References’ button in the ribbon to show the dialogue.

Show History

The ‘Show History’ button displays the history dialogue for the current document:


Revit Integration

PentagonDocs Assistant User Guide ››

This Revit Integration topic gives an overview of the use of PentagonDocs Assistant within Revit.


Connect to Pentagon DOCS

PentagonDocs Assistant User Guide ›› Revit Integration ››

Once installed, PentagonDocs Assistant adds a new tab to the ribbon interface.

Settings

When using PentagonDocs Assistant with Revit for the first time you will need to select the vault you wish to work with. The ribbon will initially show Not Configured

To select a vault, click “Settings” and select from the list of available vaults.

NOTE: A new feature aimed at users with concurrent licencing of M-Files allows disconnection automatically after a period of timeand then the concurrent licence is relieved.

Once connected to PentagonDocs Assistant, the current vault will be displayed on the ribbon.

About

Click ‘About’ to see the version of the add-in and its status (‘Connected’ indicates that you are connected to the vault and have a PDA Revit add-in license assigned to your user via the PentagonDocs Assistant Admin Utility):

When you are connected to the vault selected in the ‘Settings’ section, a ‘Disconnect’ option will be shown allowing you to log out of the selected vault. If not logged into the vault an option ‘Reconnect’ will be shown.


Model Management Panel

PentagonDocs Assistant User Guide ›› Revit Integration ››

PentagonDocs Assistant provides tools in the Model Management section to help manage the Revit central model file.


New Central Model

PentagonDocs Assistant User Guide ›› Revit Integration ›› Model Management Panel ››

The ‘New Central Model’ button helps you create a new central Revit model in a shared network folder location or automatically into a location configured by your admin. A placeholder is also initially created in PentagonDocs Assistant so that you can later publish snapshots of the model into the vault. We cannot store the central model directly in the vault, as a central model is accessed by multiple users which is incompatible with the check out/check in methodology. Therefore, the central model is created in the usual network location that you would typically store your models, and we provide the ability to publish the central model into the vault when required (at a design or issue stage for example).

Click ‘New Central Model’ button.

The dialog allows you to either create the new model from a template in the vault or from an existing model file.

If creating from a template, the wizard offers templates from within PentagonDocs Assistant.

Once selected, you can then choose whether to create a local model for editing and additionally whether to open it now. If you chose to create a new central model from an existing file, you will be presented with a dialog allowing you to browse to and select that file.

Once you have selected either the template or existing model, you will be asked where to save the new central model (this step will be skipped if your admin has configured PDA to automatically save the central model in a preconfigured location).

Clicking the browse icon (…) allows you to select the location and you are now ready to create the central model.

You can select to also create a local model after the central model has been created, this will be in the location set in the Revit options, or if enabled a location specified by your admin in the PDA Admin Utility. Click ‘Create Central Model’ and you will be presented with the ‘Create New central Model’ dialog.

Complete the metadata as required and click the ‘Create’ button. A new central model will be created in the specified location and a placeholder created in the PDA vault.

Click ‘OK’ to continue. If you opted to create a local model and to open it now, Revit will open the local model for editing. Users are now able to access the central model from its network location, creating their local models to work on the model as is the way with Revit.

The following properties are copied from the project object in PDA to the Revit model Project Information.


Local Model

PentagonDocs Assistant User Guide ›› Revit Integration ›› Model Management Panel ››

The ‘Local Model’ option is only applicable when PDA is managing the location of the central models. It allows you to select the central model of an existing project and then create and open a local model from it.


Publish Model to PDA

PentagonDocs Assistant User Guide ›› Revit Integration ›› Model Management Panel ››

The ‘Publish Model to PDA’ button saves a copy of the central model into the vault. This allows for key milestone copies of the model to be captured within PentagonDocs Assistant.

An option to ‘Purge Sheets from Published Model’ allows for the model held in PDA which may be issued externally to have all sheets purged.

The wizard also provides options to export to IFC and NWC format. These are added to the model object in PentagonDocs Assistant.

If the IFC and NWC options are selected, additional options are shown allowing for settings relevant to those exports to be set. Once all options have been set, click the ‘Publish’ button to continue.

When the process is complete, the following dialog will be shown, click ‘OK’ to close the dialog.

The published central model and any additional formats can now be seen in the PDA vault:


Sheets Panel

PentagonDocs Assistant User Guide ›› Revit Integration ››

The Sheets section of the menu includes the New Sheet and Publish Sheets tools which help you both create new sheets and then publish them, typically to PDF.


New Sheet

PentagonDocs Assistant User Guide ›› Revit Integration ›› Sheets Panel ››

It is important that you use the New Sheet method to add sheets as PentagonDocs Assistant will then link the sheet’s unique ID and its details with data held in the vault.

To add a sheet: click the ‘New Sheet’ button, select a template and pick OK.

Complete the metadata card for the sheet.

Then click ‘Create’. A new sheet will be created from the template you selected, and the title block will be populated based on the details you provided and information about the project.

The drawing sheet can now be worked on as normal by adding views, text, etc.

In the PDA vault a placeholder will have been created. This is so we can generate the document number correctly for the sheet, but obviously at this point the object in the vault will have no drawing content. A placeholder PDF is added to ensure that it is clear that this is a Revit sheet placeholder currently being worked on:

This content will be replaced by using the Publish function of the PDA ribbon. As detailed in the next section.


Publish Sheets

PentagonDocs Assistant User Guide ›› Revit Integration ›› Sheets Panel ››

The PentagonDocs Assistant ribbon in Revit allows for publishing the sheets created into the vault. This allows you to publish PDF, DWG, DWF or JPG renditions of the sheet. The DWG is created by Revit; therefore, you may wish to setup the Revit DWG Export options prior to publishing. DWF and Image output is also generated by Revit itself.

The PentagonDocs Assistant Client installs a PDF Printer that can be used for the output, and in supported Revit versions you can also choose to use the inbuilt Revit PDF Export functionality to create the PDF. To choose which PDF export method to use, select this from the ‘Settings’ option in the PDA ribbon:

You can choose from ‘Revit Export’ which is the inbuilt Revit functionality, ‘Pentagon DOCS PDF Printer’ which is the PDF printer installed with the PentagonDocs Assistant client, and finally ‘BullZip PDF Printer’ which is a commercial third-party printer that may be purchased separately. There are also two options for how the publishing dialog will function, this is also configured in the ‘Settings’:

‘Default’ will open the publish dialog and automatically check every sheet against the corresponding objects in the vault. This loads information on the workflow state the sheet is at, and whether or not the metadata is synchronised correctly.

‘Lightweight (no preprocessing)’ will open the publish dialog but will not automatically check every sheet against the vault. This is especially useful if your model has many hundreds of sheets as this may take some time, and you only want to publish a selection of sheets, not all of them. In this mode you are able to select the sheets required (using CTRL + Click or SHIFT + Click selection methods), then you click the ‘Refresh’ button to carry out the check against the vault objects on only the selected sheets.

Click the ‘Publish Sheets’ icon to display the ‘Publish Sheets to PDA’ dialog:

Ensure that the ‘Advanced View’ option is checked, and you will be presented with the PDF, DWF, DWG and Image options to publish. In the example above the publish dialog is set to the ‘Default’ method, so all sheets have been checked against the vault, the workflow states are shown, and the sheet parameters have been checked and are in sync.

In the screenshot below, the publish dialog is set to the ‘Lightweight (no preprocessing)’ option, and as you can see the workflow state, sheet parameters etc. have not been checked:

Simply select the required sheets that you wish to publish (using the standard Windows CTRL + Click or SHIFT + Click methods), then click the ‘Refresh’ button and only the selected sheets are checked against the vault:

Alternatively, should the model have many sheets, you can also use the filter options. In the example below the filter icon next to ‘Sheet Number’ has been selected (the icon appears as you hover the mouse cursor over ‘Sheet Number’), allowing you to search for and select specific sheets. Sheets can also be filtered by Revit View Set Filter (option highlighted in the bottom right of the dialog):

Once a filter has been set on the ‘Sheet Number’, you will see that the filter icon remains in view. This is to remind you that you have a filter set in the view. When you close the publish dialog any filters are cleared.

When opening the publish dialog, or when carrying out the refresh function, you may see that some sheets are flagged as having their ‘Parameters out of Sync’. This is usually due to the sheets in the PDA vault having been moved through the workflow since the last sync took place in the Revit model. Simply select the sheets and click the ‘Synchronise from PDA’ button in the publish dialog (alternatively if you know for example you have made changes to the Title 1 metadata than can be synchronised back to the vault, click the ‘Synchronise to PDA’ button):

This ensures that the up-to-date metadata in the PDA vault has been synchronised with the sheet, and the ‘Status’ will be updated to show ‘Parameters in Sync’.

With the sheets you wish to publish selected, check the options for the formats that you wish to publish. Please also note that in the bottom right of the dialog are settings for the DWG and DWF versions that you wish to publish:

With this selection made, you can see that you are prompted to ‘Please select Target State’ in the ‘Status’ column. In the example below, the selected sheets are at the WIP stage of the ISO 19650 process. Therefore the only target state available is ‘S0 - WIP Internal use Only’:

In the example below, the selected sheets have already been published to WIP and have been moved through the approval workflow in the PDA vault, therefore they are able to be published to the various Shared and Published suitability states. Simply select the required state. Please note: If your project has been configured to require the Suitability States metadata on the WIP sheet, this information will have already been set and you will be able to select a ‘NA - As already set on WIP Approved Drawing’ option instead.

Once you have made all the required selections, click the ‘Publish to PDA’ button:

When publishing Shared or Published content, you are able to specify the format that the filename for this content will take. This is especially useful for when this content is issued externally as it makes it simple to identify what a drawing is via the filename (this may also be shown when publishing at S0 - WIP, however the selection will be ignored and the filename will not be changed. Only Shared/Published sheets will be renamed):

When a sheet is published, the target state/suitability code is used to set the required revision format and other associated metadata. This is used to ensure that the published content contains the correct information in the title-block, such as revision and suitability description. The sheets are published into PentagonDocs Assistant in the formats you selected, updating the existing objects in the PDA vault.


Vault Panel

PentagonDocs Assistant User Guide ›› Revit Integration ››

The Vault Panel provides tools to work with the project in the vault.

View in PentagonDocs Assistant

The ‘View in PDA’ is only available when a drawing has been opened from PentagonDocs Assistant. When clicked, the PentagonDocs Assistant explorer window will open with the current drawing displayed, allowing you to view and modify the file information.

Browse PentagonDocs Assistant

‘Browse PDA’ will open a new PentagonDocs Assistant session.


Sheet Properties Panel

PentagonDocs Assistant User Guide ›› Revit Integration ››

The properties panel provides tools to either edit the drawing metadata properties directly or synchronise them between Revit and PentagonDocs Assistant.

Synchronise to PentagonDocs Assistant

If you have made changes to the title block properties during your edit session, you can use this button to force an update of these properties from the title block to the metadata properties held in PentagonDocs Assistant. Any properties that have been configured to update PentagonDocs Assistant will be synchronised automatically. (Properties are configured by your admin as either: sync only from the drawing to PentagonDocs Assistant, sync only from PentagonDocs Assistant to the drawing, or sync bi-directionally). Typically, only Title1, Title2 and Title3 will be configured to update PentagonDocs Assistant as other properties are driven by the Project and workflows.

Synchronise from PentagonDocs Assistant

If whilst editing a drawing you change the drawing metadata in the PentagonDocs Assistant client, you can force an update of these properties to the title block from the updated metadata properties in PentagonDocs Assistant.

Click the ‘Synchronise from PentagonDocs Assistant’ button and attributes that have been configured to update the title block from PentagonDocs Assistant will be synchronised.

Edit Properties

The ‘Edit Properties’ button is arguably the easiest way to update a title block as changes are synced both to the drawing and into PentagonDocs Assistant when you click ‘Save’.


Tools Panel

PentagonDocs Assistant User Guide ›› Revit Integration ››

The only button on the Tools panel is ‘Show History’ which displays the history of the currently selected drawing.


Microsoft Applications

PentagonDocs Assistant User Guide ››

Similar functionality to AutoCAD and Revit is also available when using MS Office applications such as Word, Excel and PowerPoint. A M-Files ribbon is provided in MS Office applications and can Save, Open, Check-in and out documents.

Information can also be transferred to and from the metadata on the document or in PentagonDocs Assistant automatically.

MS Word:

MS Excel:

MS PowerPoint:

Further details on this functionality can be found in the M-Files help: Functions in Microsoft Word, Microsoft Excel and Microsoft PowerPoint


Workflows

PentagonDocs Assistant User Guide ››

PentagonDocs Assistant includes support for ISO 19650 workflows. It is also likely to include workflows that are specific to your organisation. When a document is created it will be automatically assigned to a workflow. Please note that the information below relates to the default configuration of PentagonDocs Assistant and that your particular vault may have had changes applied that will result in a different experience to that below.


CDE WIP Workflow

PentagonDocs Assistant User Guide ›› Workflows ››

ISO 19650 documents get assigned to a workflow called ‘CDE WIP’ which is shown in the examples below. When a document is first created it will be in the WIP state of this workflow. This information is shown at the bottom of the metadata card:

When you have completed work on the document and you are ready to send it on for approval, you can do this by clicking on the workflow state ‘WIP’ and any available transitions to another workflow state will be shown:

In this case we have one transition we can select which is ‘Send for Approval’. There may be other transitions which only admin users can carry out which are not available such as ‘Send to Archived’ which will be greyed out and unelectable. Select the required transition, then click ‘Save’ to save the metadata changes and the workflow transition will be actioned. It is also possible to action a workflow transition from the task area of the client, however this only works when a single document is selected, whereas the workflow on the metadata card allows for batch processing multiple documents.

In the default configuration the task bar workflow state transition change will also prompt for a comment to be added:

This comment is added to the comment thread of the selected document. Click ‘OK’ and the workflow transition will be actioned.

Workflows have checks to ensure that required metadata has been completed before progressing in the workflow. In this case as we are sending the document for approval, it is important that the ‘Approver’ metadata has been completed so that the document can be assigned to the approver. If it is missing, then a dialog will be shown with details on the missing metadata:

If the document is an AutoCAD DWG file which has Xrefs, there is also an automatic check that is carried out when sending the DWG file for approval. The DWG will be checked for Xrefs, and if any are missing or of a type that is not able to be bound, the DWG will be automatically rejected back to the user who has sent the DWG for approval.

Click ‘OK’ on the message dialog to close it. Then return to the metadata card and complete the required metadata before sending the document for approval again. The metadata card will update to reflect the new workflow state of the document:

Certain other actions may also take place during the workflow transition. For example, metadata can be automatically synchronised to AutoCAD DWG files / Office documents, and a PDF rendition could be automatically generated for the document depending on your specific vault configuration (Please note, Revit renditions are not automatically updated in workflow). The document is now at the ‘WIP for Approval’ state and will have been automatically assigned to the ‘Approver’ user (so it will appear in their ‘Assigned’ view), who will have also received an email notification. The permissions on a document will also change as it goes through the workflow, from edit access for everyone whilst it is as WIP to read only once it is Approved.

The workflow transitions available will now be different. We can see that we have two options, to either mark the document as ‘Approved’ or to ‘Reject’ the document.

Rejecting the document will notify the user who sent it for approval that is has been rejected and move the document to a ‘Rejected’ state where the user can pick it back up and move the document back to the ‘WIP’ state again to carry out changes before re-submitting for approval. The internal section of the revision will also be automatically incremented so for example P01.01 would become P01.02. Selecting ‘Approved’ will move the document onto the ‘WIP Approved’ state:

At this state as the document is approved, it is set as read only for all users and no changes may be made. At this point you have two transitions available, you can either ‘Prepare for Issue’, which sends the document through the issue process, or you can ‘Start Change’ which will move the document back to the ‘WIP’ state which will also increment the internal revision (e.g. P01.01 to P01.02).

When selecting the ‘Prepare for Issue’ transition, this actually makes a copy of the ‘WIP Approved’ document in what is termed the ‘Issued’ area of the workflow. This ensures that the Common Data Environment WIP and issued areas for Shared and Published are kept separate and allows easy tracking of issued information. The ‘WIP Approved’ document is moved back to this state and is marked as having been issued:

At the same time the copy of the ‘WIP Approved’ document has been made and is waiting in the ‘Select Issue Status’ workflow state. This can be found easily by using a view for this purpose, using the ‘CDE’ metadata pane tab or by simply clicking on the ‘Related Documents’ search url:

Using any of the above methods will allow you to access the document at the ‘Select Issue Status’ workflow state. In the screenshot below we have used the ‘Related Documents’ link, which will open a PDA session showing all related documents which will include the WIP document, and any other documents which have been previously issued at Shared or Publish and also any Archived documents.

Viewing the metadata pane, you will see that you are able to set the required suitability status for the document, the filename format that you required for the issued object, and if is an AutoCAD DWG you are able to bind the Xrefs:

Once this has been set as required, you are able to move the document on in the workflow via the ‘Issue’ transition:

Select the ‘Issue’ transition, and then click ‘Save’. The document will now be processed based on the metadata selections made. Properties are synchronised to the AutoCAD DWG / Office documents, and a PDF is generated. This includes the management of revision formats (P01 for Shared and C01 for Published for example):

Please Note: A Project rule may be set that disables the ‘Select Issue Status’ workflow state. When this is the case, the suitability codes etc. are all shown at the WIP stage and have to be completed. Then, when the document is at ‘WIP Approved’ and ‘Prepare for Issue’ is selected, the document is automatically processed and the Shared / Published issued object is created straight away without any further interaction required.

In the case of a Revit sheet, the ‘Prepare for Issue’ workflow transition is blocked, and a dialog will be shown if you try to action this transition:

As the dialog states, the issued Shared / Published sheet must be published from Revit using the PDA ribbon ‘Publish Sheets’ function as outlined in section Publish Sheets . This is due to read only formats being generated from Revit that we are not able to automatically update in the workflow.

At this point the workflow can be repeated for new revision of the document. When the document is issued as Shared / Published again it will update the existing issued object (maintaining the history of the document object) and will also create a copy of the previously issued document in the ‘Archived’ section of the vault to comply with the Common Data Environment requirements.


Graphical Workflow Tab

PentagonDocs Assistant User Guide ›› Workflows ››

With the default implementation of PentagonDocs Assistant, a Graphical Workflow tab is available. This will not be available if your vault has had any configuration changes to the workflows in the vault which means the layout in the graphical workflow application is no longer applicable. The graphical workflow is fully interactive and allows the user to click on the next workflow state to action the workflow change. It will also highlight if the transition is not possible, and messages will be displayed for any missing metadata etc. the same as the usual workflow.

The graphical workflow tab is shown for the following workflows:

CDE WIP

Check Approve Release

Check Release

Simple Release

Copyright © Pentagon Solutions. All Rights Reserved.


Document Roll Back

PentagonDocs Assistant User Guide ›› Workflows ››

You may find from time to time that you need to revert to an earlier version of a document. This is known as ‘rolling back’ and can be carried out via the ‘History’ dialog. Right-click the document and select History as highlighted below.

The ‘History’ dialog box below will be shown, this shows the version history of the document. The ‘Roll back’ option will be greyed out unless a past version of the file is selected as seen below:

Click ‘Roll Back’, and a dialog box will appear explaining the option. If you proceed, a new version will be created using the content of the selected previous version. The document must be in an editable state to carry this out.


Annotations

PentagonDocs Assistant User Guide ›› Workflows ››

M-Files Annotations can be used to redline and comment on a document, for example when the document has been sent to you for approval. Annotations can be added to PDFs, images and Microsoft Office file formats. You can either right-click the document and select ‘Create’ > ‘Annotation’, or with the document selected, select ‘New Annotations’ from the task panel:

A new annotation object linked to this version of the selected document is created and the mark-up tools become available in the preview tab. The annotation object is named for the user who created the object and also contains the specific version of the document that the annotation refers to.

Use these tools to provide the required redline information. When you have completed the redlining required, right-click on the annotation and select ‘Check In’. If you need to add further redline information, you can simply check out the annotation document to edit it. Annotations are always visible for a document so you can easily access the redline history for the document at any time.


Assignments

PentagonDocs Assistant User Guide ›› Workflows ››

In a workflow, PentagonDocs Assistant is configured to automatically assign a document to the person who created it or who it has been sent to for approval. In addition to this type of assignment, you can also create individual assignments for more specific tasks. These can be simple ‘Approval’ type assignments where you require additional input from a colleague, or detailed tasks with metadata defining start dates, deadlines etc.

To create a new assignment, you can either create it as a completely separate object, or if it is related to a particular document, first select the document/s, right-click and select ‘Create’ > ‘Assignment’ from the context menu:

This will open the ‘New Assignment’ dialog. In the default configuration there are 3 types of assignment; ‘Approval’ creates an approval assignment which asks the specified user to approve or reject the assignment. ‘Assignment’ is an assignment that includes the description of the assignment, and the specified user is able to mark the assignment as complete when they have finished it. ‘Task’ is more detailed that the ‘Assignment’ class, with additional metadata for start date, end date and deadline (these tasks are also shown in the calendar interface on the home page of the M-Files client).

In the example below we have created a Task:

Click ‘Create’ and the assignment will be created against the document object:

The user assigned to the task will see the assignment appear in their ‘Assigned to me’ view and will also get an email notification. The task will also be displayed in the calendar on the Home Page of the M-Files client:

The calendar is marked with the start date and end date for tasks. The tasks are listed and clicking on the hyperlink for the task will open it in the client.

The user who has been assigned the task, can then complete any metadata and click the ‘Mark Complete’ checkbox when the task has been completed. The user is prompted to enter a comment, and can then click ‘Save’ to complete the task:


Transmittals

PentagonDocs Assistant User Guide ››

Transmittals automate the assembly and creation of issue sheets and bundling of documents.

Please see the dedicated help for Transmittals for more information (will open in a new browser window)


Extranet Uploader

PentagonDocs Assistant User Guide ››

The Extranet Uploader adds the ability to automate the process of uploading documents to cloud based collaboration portals.

Please see the dedicated help for Extranet Uploader for more information (will open in a new browser window)


Pentagon Mail

PentagonDocs Assistant User Guide ››

PentagonMail Assistant is a plug-in to Microsoft Outlook that facilitates filing and finding messages. By learning your filing behaviours it guides you, making it fast and easy to file messages to the right: Project, Customer, Case, Opportunity, etc.

With its ability to file and search whilst off-line you can work efficiently whilst away from the office regardless of whether you need to file to Windows folders on an office server, M-Files or cloud storage like Onedrive, Google Drive, DropBox, Box, BIM 360, etc.

Please see the dedicated help for Pentagon Mail for more information (will open in a new browser window)


Troubleshooting

PentagonDocs Assistant User Guide ››

If you encounter error messages, unexpected behavior, or issues while using PentagonDocs Assistant, this section is here to help.
It provides categorised troubleshooting steps for General issues, AutoCAD, and Revit.

Browse the relevant sub-section based on the application you're working in to find quick solutions and recommended actions. For further support for issues not stated here (with a support contract in place), please contact Pentagon Solutions Support via Email: support@pentagonsolutions.com


General

PentagonDocs Assistant User Guide ›› Troubleshooting ››

This section outlines common issues users may encounter when working with PentagonDocs Assistant, along with recommended steps to resolve them.
Each topic below provides guidance for resolving specific problems such as connectivity issues, file access errors, or license availability.

For further support for issues not stated here (with a support contract in place), please contact Pentagon Solutions Support via Email: support@pentagonsolutions.com


Unable to connect to the Vault

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

If an error occurs when trying to set up a Vault connection, please check with your Admin to ensure the correct credentials and settings are being used. If an ‘RPC’ error is shown, this indicates that the server cannot be contacted at all. Your IT would need to investigate this network issue (Note: the port typically used for a LAN connection to the vault on the server is port 2266).


Trouble logging into PentagonDocs Assistant

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

Completely log out of the system by right-clicking on the M icon in the system tray and select Log Out before trying to access the Vault once again. If the error still occurs, re-boot the PC and try to Log in. Typically, your Windows login will be used to log in to the vault, requiring no further action from yourself. You may receive a message that a domain controller cannot be contacted for authentication. This indicates that your PC cannot connect to the Domain Controller, and you should raise this with your IT.


Error stating No License is Available

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

A license for PentagonDocs Assistant will need to be assigned to the user by the PentagonDocs Assistant Admin. Once assigned, check in the AutoCAD/Revit PDA ribbon ‘About’ section to see if the license has been assigned.


Unable to Preview the RVT File

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

PentagonDocs Assistant is currently unable to preview a RVT file (Revit). Image files, DWG, Notepad, Word, PowerPoint, Excel and PDF files can be viewed.


A file has been deleted by mistake

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

If the file has been deleted, this can be retrieved by your PentagonDocs Assistant Admin.


Unable to locate a file

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

The PentagonDocs Assistant search function is very powerful. If any of the contents of the file or part of the name of the file is known, the search function can locate matches. Currently, text in image files is not searchable unless the OCR convert to PDF function was used when importing the image. Searches can also be narrowed to time periods.


File is only available as read-only

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

Ensure the file is not currently checked out by another user. If so, the file will have to be checked in. Files can only be checked out to one user at a time. If the file is checked out by another user, a request can be sent to them by right-clicking on the document and selecting ‘Send Check-in Request’. This will prompt the user via email that the file is required. If the file is not checked out, the file is likely to be in a workflow state that does not allow editing (read-only), move the file to an editable workflow state to work on the file.


Error when trying to move a document for approval

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

A message will be displayed showing the reason you cannot send the document(s) for approval. This may be that the ‘Approver’ metadata has not been completed, or any other required metadata. Additionally, check the file has been checked in prior to transitioning.


Unable to see All Transmittals

PentagonDocs Assistant User Guide ›› Troubleshooting ›› General ››

When opening ‘View Transmittals’ dialog box, ensure the ‘View’ option is set to ‘Show All’.


AutoCAD

PentagonDocs Assistant User Guide ›› Troubleshooting ››

This section provides solutions to common issues encountered when using AutoCAD in conjunction with PentagonDocs Assistant.
Whether it's problems saving drawings, launching AutoCAD, or syncing metadata, the topics below will guide you through diagnosing and resolving these AutoCAD-related errors.

Ensure that your AutoCAD and PentagonDocs Assistant are both up to date, and follow the recommended steps in each topic to restore normal functionality.

For further support for issues not stated here (with a support contract in place), please contact Pentagon Solutions Support via Email: support@pentagonsolutions.com


AutoCAD drawing will not transition to WIP Approved

PentagonDocs Assistant User Guide ›› Troubleshooting ›› AutoCAD ››

Check in the metadata for the file that an Approver has been assigned and that any X-ref files are also approved prior to the main design file being put through the workflow. The AutoCAD file cannot be processed if your configuration is set so that an x-ref file has to also be at ‘WIP Approved’ before the drawing is also approved. The file can only be moved through the transition if it is checked in.


After opening a DWG, the PentagonDocs Assistant tools are greyed out

PentagonDocs Assistant User Guide ›› Troubleshooting ›› AutoCAD ››

Ensure the file was opened from a file location within PentagonDocs Assistant or is saved to PentagonDocs Assistant. Also check the connection to the vault is active, by clicking on the settings option in the PentagonDocs Assistant Ribbon. If some of the icons are available, check the file is checked out, for full editing capabilities. Also check the vault has a license assigned to your User (PentagonDocs Assistant Admin Utility > License Management > Assignments > AutoCAD Named Users)


When opening an AutoCAD file, it launches in the incorrect software

PentagonDocs Assistant User Guide ›› Troubleshooting ›› AutoCAD ››

This setting is managed by the local PC settings.

  1. Right-click the file in the PentagonDocs Assistant interface.
  2. Select ‘Windows Commands’ > ’Open With’
  3. Select the Application required. Click ‘OK’


After editing the metadata in PentagonDocs Assistant, the title block in AutoCAD has not updated

PentagonDocs Assistant User Guide ›› Troubleshooting ›› AutoCAD ››

Ensure the ‘Synchronise from PDA’ feature has been used, this can be found within AutoCAD on the PDA Ribbon. This will update the title block using the metadata that was updated in Pentagon DOCS Assistant.


Unable to save DWG Model to PentagonDocs Assistant

PentagonDocs Assistant User Guide ›› Troubleshooting ›› AutoCAD ››

For the model to save to PentagonDocs Assistant it must be saved with a valid layout page created and saved whilst in Layout View.


Revit

PentagonDocs Assistant User Guide ›› Troubleshooting ››

This section covers common Revit-related issues when working with PentagonDocs Assistant.
Topics include publishing errors, synchronization issues, missing interface elements, and metadata-related problems.

Follow the steps provided in each topic to resolve the issue and restore expected Revit functionality when integrated with PentagonDocs Assistant.

For further support for issues not stated here (with a support contract in place), please contact Pentagon Solutions Support via Email: support@pentagonsolutions.com


Unable to publish sheets

PentagonDocs Assistant User Guide ›› Troubleshooting ›› Revit ››

The Target state must be selected, and the drawing object in the vault must be checked in.


Software error when trying to synchronise Model

PentagonDocs Assistant User Guide ›› Troubleshooting ›› Revit ››

Check the metadata has been filled in, with an Approver set and the Model file checked in. Corruption with a Revit file can also cause this error. Continuous Revit Model management can help reduce the likelihood of such errors.


PentagonDocs Assistant Ribbon greyed out after opening Revit file

PentagonDocs Assistant User Guide ›› Troubleshooting ›› Revit ››

Ensure the file was opened from a file location within PentagonDocs Assistant or is saved to PentagonDocs Assistant. Also check the connection to the vault is successful by clicking on the settings option in the PentagonDocs Assistant Ribbon. Check that the file is checked out, for full editing capabilities.


After editing the metadata in PentagonDocs Assistant, the Sheet in Revit has not updated

PentagonDocs Assistant User Guide ›› Troubleshooting ›› Revit ››

Ensure the ‘Synchronise from PDA’ feature has been used, this can be found within Revit on the PDA Ribbon. This will update the title block using the metadata that was updated in Pentagon DOCS Assistant.


An IFC copy of a Revit Model is required

PentagonDocs Assistant User Guide ›› Troubleshooting ›› Revit ››

When publishing the model to PentagonDocs Assistant, the option to also create an IFC Model (or Navisworks NWC file) will be shown. Check the tick boxes as required and select OK. This will simultaneously create the required file and place it alongside the Revit file in the multi-file document in PentagonDocs Assistant.


PentagonDocs Assistant Administration Utility

The PentagonDocs Assistant Administration Utility can be installed on any Client PC.

The user account must have the Change metadata structure administrative right to the vault to make changes in the Pentagon Administration Utility.

When first accessing the Pentagon Administration Utility, you will be prompted to open a vault using your available M-Files connections. Subsequently, you may open vaults from the menu.

Navigate to a topic using the browser on the left before pressing Edit to make changes. Press OK, Cancel or Apply as required to navigate to another topic or exit.

For details on each topic in the browser, see the following help pages.


Licenses

PentagonDocs Assistant Administration Utility ›› Licence Management ››

Pentagon will generate your PentagonDocs Assistant CAD/BIM Licenses based on your M-Files Vault Unique ID.

The Vault Unique ID is available in M-Files Admin by right clicking on your PentagonDocs Assistant vault and selecting Properties:

PentagonDocs Assistant CAD/BIM licenses will need to be updated with each subscription renewal.


Assignments

PentagonDocs Assistant Administration Utility ›› Licence Management ››

Users accessing PentagonDocs Assistant using the CAD/BIM tools, need to be assigned licenses within the PentagonDocs Assistant Administration Utility.


Classes

PentagonDocs Assistant Administration Utility ›› Numbering ››

The PentagonDocs Assistant Administration Utility / Numbering / Classes, lists all classes defined in M-Files.

A number scheme can be created by concatenating properties and defining how a sequence number is to be generated.

Below, the Drawing class has been copied in M-Files to create an alternate number scheme where the sequence resets per level.


Sequence Numbers

PentagonDocs Assistant Administration Utility ›› Numbering ››

The PentagonDocs Assistant Administration Utility / Numbering / Sequence Numbers, lists all sequence variations used and the next number that will be assigned.

The sequencing defined on the Classes page resulted in the following document naming.

The sequences show sequences for level 00 and 01 in the project A123.


Email Addin

PentagonDocs Assistant Administration Utility ›› Application Settings ››

Pentagon Mail is a plug-in to Microsoft Outlook that facilitates filing and finding messages. By learning your filing behaviours it guides you, making it fast and easy to file messages to the right: Project, Customer, Case, Opportunity, etc.

With its ability to file and search whilst off-line you can work efficiently whilst away from the office regardless of whether you need to file to Windows folders on an office server, M-Files or cloud storage like Onedrive, Google Drive, DropBox, Box, BIM 360, etc.

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for Pentagon Mail for more information (will open in a new browser window)


General

PentagonDocs Assistant Administration Utility ›› Application Settings ›› AutoCAD Addin ››

XREF Relationship Property

The property specified is used to build references in M-Files for AutoCAD XREF management.

AutoCAD XREF relationships are visible in the M-Files client. Below, the 2D model (M2) dwg has been XREF'd into the 2D drawing (DR) dwg.

TIP: The small clock icon shown on the XREF in the image above indicates the version is out of date. On opening the drawing, the user will be prompted to update this relationship.


Template Columns

PentagonDocs Assistant Administration Utility ›› Application Settings ›› AutoCAD Addin ››

Metadata can be added to the PentagonDocs Assistant AutoCAD Templates dialogue to aid template selection.

NOTE: The Class column cannot be changed.


Update Reference Columns

PentagonDocs Assistant Administration Utility ›› Application Settings ›› AutoCAD Addin ››

Metadata can be added to the PentagonDocs Assistant Update Reference dialogue to help users decide if the XREF should be updated.

Further information is available for users by selecting View in PentagonDocs Assistant, Show History or Select Version which each open an M-Files dialogue showing the document details.

NOTE: The Reference Name and Change Status columns cannot be changed.


General

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ››

PDF Placeholder Template Object

Initial versions of Revit Sheets in M-Files will display a placeholder until drawing content is published from Revit.

A custom placeholder document can be added to the vault and selected for use.

Preview of version 1 of the document showing the placeholder document:

Project Information Mappings

During creation of a Revit Central Model in PentagonDocs Assistant, the following Revit Project Information properties are set.


Sheet

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ››

Sheet Unique Identifier

Property with unique sheet reference linking Revit Sheet and M-Files document

Sheet Number / Sheet Name

Use this dialogue to define sheet naming in the Revit browser and reference tags.

NOTE: Revit requires that sheet names are unique. Be sure to include suitable metadata to ensure uniqueness..


Template Columns

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ››

Columns displayed when selecting a template to create a New Sheet can be selected.

Example showing Project and Notes to aid template selection:


Property Mapping

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ›› Template Columns ››

Add mappings to populate Revit Shared Parameter values using M-Files metadata

Sync direction can be selected for each property.

Properties are synchronised during document processing and can be manually synchronised using the PentagonDocs Assistant ribbon in Revit.


Publish Sheets Data

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ››

Properties can be added to the PentagonDocs Assistant Revit Publish dialogue.

Columns in the PentagonDocs Assistant Revit Publish Sheets dialogue can be used for sorting, filtering and grouping.


Model Management

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ›› Publish Sheets Data ››

Typically, when creating a Revit Central Model, the user can save to any location, ideally a network drive. PentagonDocs Assistant allows the Administrator to define locations to remove user selection from the process.

Central Model Location

A Root Folder can be specified to store Revit Central Models along with mapping a property such as Project ID to create subfolders.

Example of Central Files stored by UNC path and ProjectID

PentagonDocs Assistant provides a dialogue to Create New Local File looking at the folder structure above.

TIP: Display of temporary and backup files can be toggled in this dialogue to avoid confusion

Local Model Location

Administrators may also set the user's Local Model File location and subfolder.

NOTE: Model Management is centrally administered and will affect ALL Pentagon DOCS Revit users.
Users will require network access to the specified location. No configuration is required on the clients to enable Model Management. .


Event Script

PentagonDocs Assistant Administration Utility ›› Application Settings ›› Revit Addin ››

PentagonDocs Assistant provides a scripting environment triggered at document and process events.

Objects and Events

The drop down lists the Objects and Events exposed to define the VBScript. Double clicking an entry will add the associated code at the location of the cursor.

Example Script editing

The example script runs at the Sheet_SyncFromVault event and reads the version of Revit and writes the value to an M-Files property.

Sample Script:

' Called when synchronising properties from Pentagon DOCS on Revit ribbon

Sub Sheet_SyncFromVault(ObjVer, Properties, Parameters)

Dim RevitVersion : RevitVersion = Application.VersionNumber

Dim objVersion : Set objVersion = Vault.ObjectOperations.CheckOut(ObjVer.ObjID)

CoreScript.SetPropertyValue objVersion.ObjVer, "ExDOCS.Property.RevitVersion", RevitVersion

CoreScript.CheckIn objVersion.ObjVer

End Sub

WARNING: This is an example script and should not be used in a production vault without being fully tested for your application.

Result of sample script:

The Revit Version property is set to the version of Revit. This could be mapped to the drawing sheet if necessary. See Property Mapping

Default Revit Event Script Events

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' Set CONST variables for workflow states in order to make script more user friendly

'

' CDE prefix, states from the CDE WIP workflow.

' CAR prefix, states from the Check Approve Release workflow.

CONST CDE_WIP = 108

CONST CDE_WIPApproved = 101

CONST CDE_WIPforApproval = 125

CONST CAR_WIP = 158

CONST CAR_Check = 159

CONST CAR_Approval = 162

CONST CAR_Released = 160

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' Called to determine if the Sheet can be published

' Set AllowPublish to false to disable the row in the Publish Sheets dialog

' Use the Message argument to inform the user why the sheet cannnot be publshed

Sub PublishSheets_AllowPublishSheet(SheetInfo, AllowPublish, Message)

End Sub

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' Called to determine the available Target States of the selected sheet

' Use the Options argument to specify the available options e.g. Options.Add("A - new option")

Sub PublishSheets_TargetStatesForSheet(SheetInfo, Options)

End Sub

' Called before publishing the selected batch

Sub PublishSheets_InitialisePublish(Batch)

End Sub

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' Called before each sheet is published allowing the Temporary Publish Object and Revit Parameters to be modified

' Add publish parameters to the Parameter dictionary e.g. Parameters.Add "REVISION","C01"

' Note: Parameter names are case sensitive

Sub PublishSheets_BeforePublishSheet(TempObjVer, SheetInfo, Parameters, Batch)

End Sub

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

'GetPublishFilename - Gets the Publish filename based on selected filename format

Function GetPublishFilename(TempObjVer, FilenameFormat, Suitability, Revision)

End Function

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

'GetCprefixRevision - Gets the C prefix revision based on version history of Issue document object

Function GetCprefixRevision(ObjVer)

End Function


Transmittals

PentagonDocs Assistant Administration Utility ››

Transmittals automate the assembly and creation of issue sheets and bundling of documents.

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for Transmittals for more information (will open in a new browser window)


Extranet Uploader

PentagonDocs Assistant Administration Utility ››

The Extranet Uploader adds the ability to automate the process of uploading documents to cloud based collaboration portals.

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for Extranet Uploader for more information (will open in a new browser window)


DWG Processor

PentagonDocs Assistant Administration Utility ››

The DWG Processor Application adds DWG support to your M-Files installation. This allows DWG format files to be processed on the M-Files server without the need to have AutoCAD or other authoring applications installed on either the client workstations or on the M-Files server.

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for DWG Processor for more information (will open in a new browser window)


PDF Processor

PentagonDocs Assistant Administration Utility ››

The PDF Processor Application has been designed to enable fast workflows by allowing specific text on a PDF drawing or document to be automatically edited as part of a workflow without having to revert to the originating application.

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for PDF Processor for more information (will open in a new browser window)


Notifications Processor

PentagonDocs Assistant Administration Utility ››

The Notifications Processor Application adds support for enhanced Notifications to be sent from Workflow states

Various settings for this can be customised with PentagonDocs Assistant Admin Utility

Please see the dedicated help for Notifications Processor for more information (will open in a new browser window)


Core-Script Library

PentagonDocs Assistant Administration Utility ››

The Core Script Library for M-Files adds a library of supporting functions to M-Files for use in EventHandlers and Workflow Scripts.

Please see the dedicated help for Core Script Library for more information (will open in a new browser window)